ComboForDestination (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.client.obj

## Class ComboForDestination

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.sencha.gxt.widget.core.client.Component
      - - com.sencha.gxt.widget.core.client.cell.CellComponent<T>
        - - com.sencha.gxt.widget.core.client.form.Field<T>
          - - com.sencha.gxt.widget.core.client.form.ValueBaseField<T>
            - - com.sencha.gxt.widget.core.client.form.TriggerField<T>
              - - com.sencha.gxt.widget.core.client.form.ComboBox<T>
                - - com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>
                  - - org.gcube.datatransfer.portlets.user.client.obj.ComboForDestination

- All Implemented Interfaces:
    com.google.gwt.editor.client.Editor<String>, com.google.gwt.editor.client.HasEditorDelegate<String>, com.google.gwt.editor.client.HasEditorErrors<String>, com.google.gwt.editor.client.LeafValueEditor<String>, com.google.gwt.editor.client.ValueAwareEditor<String>, com.google.gwt.event.dom.client.HasChangeHandlers, com.google.gwt.event.dom.client.HasKeyDownHandlers, com.google.gwt.event.dom.client.HasKeyPressHandlers, com.google.gwt.event.dom.client.HasKeyUpHandlers, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.logical.shared.HasBeforeSelectionHandlers<String>, com.google.gwt.event.logical.shared.HasResizeHandlers, com.google.gwt.event.logical.shared.HasSelectionHandlers<String>, com.google.gwt.event.logical.shared.HasValueChangeHandlers<String>, com.google.gwt.event.shared.HasHandlers, com.google.gwt.i18n.client.AutoDirectionHandler.Target, com.google.gwt.i18n.client.HasDirection, com.google.gwt.i18n.shared.HasDirectionEstimator, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.TakesValue<String>, com.google.gwt.user.client.ui.HasEnabled, com.google.gwt.user.client.ui.HasName, com.google.gwt.user.client.ui.HasText, com.google.gwt.user.client.ui.HasValue<String>, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.view.client.HasKeyProvider<String>, com.sencha.gxt.widget.core.client.event.BeforeHideEvent.HasBeforeHideHandlers, com.sencha.gxt.widget.core.client.event.BeforeQueryEvent.HasBeforeQueryHandlers<String>, com.sencha.gxt.widget.core.client.event.BeforeShowContextMenuEvent.HasBeforeShowContextMenuHandler, com.sencha.gxt.widget.core.client.event.BeforeShowEvent.HasBeforeShowHandlers, com.sencha.gxt.widget.core.client.event.BlurEvent.HasBlurHandlers, com.sencha.gxt.widget.core.client.event.CollapseEvent.HasCollapseHandlers, com.sencha.gxt.widget.core.client.event.DisableEvent.HasDisableHandlers, com.sencha.gxt.widget.core.client.event.EnableEvent.HasEnableHandlers, com.sencha.gxt.widget.core.client.event.ExpandEvent.HasExpandHandlers, com.sencha.gxt.widget.core.client.event.FocusEvent.HasFocusHandlers, com.sencha.gxt.widget.core.client.event.HideEvent.HasHideHandlers, com.sencha.gxt.widget.core.client.event.InvalidEvent.HasInvalidHandlers, com.sencha.gxt.widget.core.client.event.MoveEvent.HasMoveHandlers, com.sencha.gxt.widget.core.client.event.ParseErrorEvent.HasParseErrorHandlers, com.sencha.gxt.widget.core.client.event.ShowContextMenuEvent.HasShowContextMenuHandler, com.sencha.gxt.widget.core.client.event.ShowEvent.HasShowHandlers, com.sencha.gxt.widget.core.client.event.TriggerClickEvent.HasTriggerClickHandlers, com.sencha.gxt.widget.core.client.event.ValidEvent.HasValidHandlers, com.sencha.gxt.widget.core.client.form.IsField<String>, com.sencha.gxt.widget.core.client.HasFocusSupport, com.sencha.gxt.widget.core.client.HasItemId

      public class ComboForDestination
      extends com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sencha.gxt.widget.core.client.form.Field

      `com.sencha.gxt.widget.core.client.form.Field.FieldStyles`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.HasDirection

      `com.google.gwt.i18n.client.HasDirection.Direction`

  - ### Field Summary

    - ### Fields inherited from class com.sencha.gxt.widget.core.client.form.ComboBox

      `autoComplete`

    - ### Fields inherited from class com.sencha.gxt.widget.core.client.form.ValueBaseField

      `impl`

    - ### Fields inherited from class com.sencha.gxt.widget.core.client.form.Field

      `forceInvalidText, hasFocus, name, originalValue, parseError, preventMark, validationTask`

    - ### Fields inherited from class com.sencha.gxt.widget.core.client.cell.CellComponent

      `valueUpdater`

    - ### Fields inherited from class com.sencha.gxt.widget.core.client.Component

      `adjustSize, allowTextSelection, cacheSizes, disableContextMenu, disabled, disabledStyle, ensureVisibilityOnSizing, height, hidden, lastSize, layer, left, mask, maskMessage, monitorWindowResize, pageX, pageY, resizeHandler, shim, tabIndex, toolTip, toolTipConfig, top, width, windowResizeDelay, windowResizeTask`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComboForDestination(com.sencha.gxt.data.shared.LabelProvider<? super String> labelProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAgentDest()`
    `boolean` | `isDataStorage()`
    `boolean` | `isMongoDBStorage()`
    `boolean` | `isTreeBased()`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.form.SimpleComboBox

      `add, add, getSelectedIndex, remove`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.form.ComboBox

      `addBeforeQueryHandler, addBeforeSelectionHandler, addCollapseHandler, addExpandHandler, addSelectionHandler, clear, collapse, doQuery, expand, getAllQuery, getCell, getLabelProvider, getListView, getLoader, getMinChars, getMinListWidth, getPageSize, getQueryDelay, getStore, getTriggerAction, getTypeAheadDelay, isExpanded, isForceSelection, isTypeAhead, onAfterFirstAttach, onDetach, select, select, setAllQuery, setExpanded, setForceSelection, setLoader, setMinChars, setMinListWidth, setPageSize, setQueryDelay, setStore, setTriggerAction, setTypeAhead, setTypeAheadDelay`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.form.TriggerField

      `addTriggerClickHandler, isEditable, isMonitorTab, onBlur, setEditable, setHideTrigger, setMonitorTab`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.form.ValueBaseField

      `addChangeHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addParseErrorHandler, doAutoValidate, getCurrentValue, getCursorPos, getDirection, getDirectionEstimator, getEmptyText, getFocusEl, getImpl, getInputEl, getPropertyEditor, getSelectedText, getSelectionLength, getText, getValueOrThrow, isAllowBlank, isClearValueOnParseError, isCurrentValid, isCurrentValid, isSelectOnFocus, onCellParseError, onRedraw, select, selectAll, setAllowBlank, setClearValueOnParseError, setCursorPos, setDirection, setDirectionEstimator, setDirectionEstimator, setEmptyText, setId, setPropertyEditor, setReadOnly, setSelectionRange, setSelectOnFocus, setTabIndex, setText, setValue, validateCurrent`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.form.Field

      `addInvalidHandler, addValidator, addValidHandler, addValueChangeHandler, clearInvalid, finishEditing, flush, forceInvalid, getErrorSupport, getName, getValidateOnBlur, getValidationDelay, getValidators, isAutoValidate, isEditing, isReadOnly, isValid, isValid, markInvalid, markInvalid, onBrowserEvent, onDisable, onEnable, onFocus, onKeyDown, onKeyPress, onKeyUp, onLogicalBlur, onLogicalFocus, onNavigationKey, onPropertyChange, removeValidator, reset, setAutoValidate, setDelegate, setErrorSupport, setName, setOriginalValue, setValidateOnBlur, setValidationDelay, setValue, showErrors, validate, validate, validateValue`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.cell.CellComponent

      `createContext, getElement, getKey, getKeyProvider, getValue, onResize, redraw, redraw, setKeyProvider, setValue`

    - ### Methods inherited from class com.sencha.gxt.widget.core.client.Component

      `addBeforeHideHandler, addBeforeShowContextMenuHandler, addBeforeShowHandler, addBlurHandler, addDisableHandler, addEnableHandler, addFocusHandler, addHideHandler, addMoveHandler, addResizeHandler, addShowContextMenuHandler, addShowHandler, addStyleDependentName, addStyleOnOver, adjustPosition, adjustSize, applyState, assertAfterRender, assertPreRender, blur, clearSizeCache, disable, disableContextMenu, disableEvents, enable, enableEvents, fireCancellableEvent, fireEvent, focus, getData, getFocusSupport, getHideMode, getId, getItemId, getOffsetHeight, getOffsetWidth, getPositionEl, getShadow, getStateId, getTabIndex, getToolTip, hide, hideShadow, hideToolTip, isAllowTextSelection, isAutoHeight, isAutoWidth, isDeferHeight, isEnabled, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, notifyHide, notifyShow, onAttach, onHide, onHideContextMenu, onLoad, onPosition, onRightClick, onShow, onShowContextMenu, onUnload, onWindowResize, removeStyleDependentName, removeStyleOnOver, removeToolTip, setAllowTextSelection, setBorders, setBounds, setBounds, setContextMenu, setData, setDeferHeight, setEnabled, setHeight, setHeight, setHideMode, setItemId, setMonitorWindowResize, setPagePosition, setPixelSize, setPosition, setShadow, setSize, setStateful, setStateId, setStyleDependentName, setToolTip, setToolTipConfig, setVisible, setWidth, setWidth, show, sync, syncSize, unmask`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IsWidget

      `asWidget`

    - ### Methods inherited from interface com.google.gwt.user.client.TakesValue

      `getValue`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.HasValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### ComboForDestination

          public ComboForDestination(com.sencha.gxt.data.shared.LabelProvider<? super String> labelProvider)

  - ### Method Detail

    - #### isTreeBased

          public boolean isTreeBased()

    - #### isMongoDBStorage

          public boolean isMongoDBStorage()

    - #### isAgentDest

          public boolean isAgentDest()

    - #### isDataStorage

          public boolean isDataStorage()

Copyright © 2015. All Rights Reserved.